# IGListSingleSectionControllerDelegate Protocol Reference

# IGListSingleSectionControllerDelegate

Objective-C

    @protocol IGListSingleSectionControllerDelegate <NSObject>

Swift

    @MainActor protocol ListSingleSectionControllerDelegate : NSObjectProtocol

A delegate that can receive selection events on an `IGListSingleSectionController`.

- `-didSelectSectionController:withObject:`

  Tells the delegate that the section controller was selected.

  #### Declaration

  Objective-C

      - (void)didSelectSectionController:
                  (nonnull IGListSingleSectionController *)sectionController
                              withObject:(nonnull id)object;

  Swift

      func didSelect(_ sectionController: ListSingleSectionController, with object: Any)

  #### Parameters

  `sectionController` | The section controller that was selected.
  `object` | The model for the given section.

- `-didDeselectSectionController:withObject:`

  Tells the delegate that the section controller was deselected.

  Note

  Method is `@optional` until the 4.0.0 release where it will become required.

  #### Declaration

  Objective-C

      - (void)didDeselectSectionController:
                  (nonnull IGListSingleSectionController *)sectionController
                                withObject:(nonnull id)object;

  Swift

      optional func didDeselect(_ sectionController: ListSingleSectionController, with object: Any)

  #### Parameters

  `sectionController` | The section controller that was deselected.
  `object` | The model for the given section.

© 2024 Instagram. All rights reserved. (Last updated: 2024-05-13)

Generated by jazzy ♪♫ v0.15.0, a Realm project.